Page MenuHomePhabricator

Error: Could not find class role::kafka::jumbo::mirror for deployment-kafka0[45]
Closed, ResolvedPublic

Description

maurelio@deployment-kafka04:~$ sudo puppet agent -tv
Info: Using configured environment 'future'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve catalog from remote server: Error 500 on SERVER: Server Error: Could not find class role::kafka::jumbo::mirror for deployment-kafka04.deployment-prep.eqiad.wmflabs on node deployment-kafka04.deployment-prep.eqiad.wmflabs
Warning: Not using cache on failed catalog
Error: Could not retrieve catalog; skipping run

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2018, 9:50 PM

Role deleted from puppet git by @Ottomata in 661eea7bda, but still applied to deployment-kafka04 according to https://tools.wmflabs.org/openstack-browser/server/deployment-kafka04.deployment-prep.eqiad.wmflabs. Probably needs removal (replacing?) in horizon.

EddieGP renamed this task from Error: Could not find class role::kafka::jumbo::mirror for deployment-kafka04 to Error: Could not find class role::kafka::jumbo::mirror for deployment-kafka0[45].Mar 31 2018, 10:14 PM

Affects deployment-kafka05 as well.

MarcoAurelio added a comment.EditedApr 1 2018, 9:51 AM

Probably needs removal (replacing?) in horizon.

I cannot remove/edit stuff through horizon I think.

EddieGP added a comment.EditedApr 1 2018, 11:09 AM

You can't, this is limited to project admins, where you're just an project member.

I expect @Ottomata can give us a hint whether these instances are still needed at all, and if yes, knows who to bug to make the relevant changes.

Ah ya, sorry! Lots of mirror maker stuff moving around. Will fix today.

Hm actually, I don't seem to have access to the deployment-prep project in Horizon anymore. I don't see it in the project drop down menu. Anyone know why?

Openstack browser also says you're neither a member nor a a admin of that project. I don't know why, but you probably should just ask for access (you'll need project admin, with membership you'll only have read-access to horizon).

@greg should be able to fix @Ottomata's accesses there.

Hm actually, I don't seem to have access to the deployment-prep project in Horizon anymore. I don't see it in the project drop down menu. Anyone know why?

otto should be a projectadmin in deployment-prep now. Not sure how you got removed.

hashar closed this task as Resolved.Apr 4 2018, 7:11 AM
hashar assigned this task to thcipriani.
hashar added a subscriber: hashar.

@Ottomata is now listed as a member and project admin. I am assuming Tyler did it yesterday just like T191296

MarcoAurelio reopened this task as Open.Apr 4 2018, 9:46 AM

Puppet issue still not resolved.

Ottomata claimed this task.Apr 4 2018, 3:07 PM

Yar, just tried to fix this, but ran into T191232 (again) on the way, so puppet is broken again.

EddieGP closed this task as Resolved.Apr 9 2018, 11:50 PM

Puppet is fine on both hosts now. so this seems resolved. Thanks @Ottomata!